import { type ConfigSource } from '../../../src/data/configuration/spi/config-source.js';
import { type StorageBackend } from '../../../src/data/backend/api/storage-backend.js';
import { type ClassConstructor } from '../../../src/business/utils/class-constructor.type.js';
import { type Refreshable } from '../../../src/data/configuration/spi/refreshable.js';
export declare class SimpleConfigSourceFixture implements ConfigSource, Refreshable {
    readonly name: string;
    readonly ordinal: number;
    readonly prefix: string;
    readonly backend: StorageBackend;
    _properties: Map<string, string>;
    props2: Map<string, string>;
    constructor(name: string, ordinal: number, prefix: string, backend: StorageBackend, _properties?: Map<string, string>);
    asBoolean(key: string): boolean | null;
    asNumber(key: string): number | null;
    asObject<T>(cls: ClassConstructor<T>, key?: string): T | null;
    asObjectArray<T>(cls: ClassConstructor<T>, key?: string): T[];
    asString(key: string): string | null;
    asStringArray(key: string): string[] | null;
    load(): Promise<void>;
    properties(): Map<string, string>;
    propertyNames(): Set<string>;
    refresh(): Promise<void>;
}
